Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001083Core InformRules and rulebookspublic2013-03-08 07:172014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001083: Internal compiler error when using ``storage'' in an activity rule preamble
DescriptionThe l-value specifier ``storage'' in the attached source's rule preamble provokes

- - - -
Problem. An internal error has occurred: compiled a generic specification. The current sentence is 'For quuxing the storage'; the error was detected at line 90 of "Chapter 16/Compiling from Specifications.w".
- - - -

Other dubious choices, like ``action'' or ``phrase'' or ``condition'', instead lead to a crash that may be 0000484/0000543:

- - - -
#0 0x00089fa0 in Kinds__interpret_test_equality ()
#1 0x000dae12 in Calculus__Relations__Equality__compile ()
#2 0x000db3c8 in Semantics__BPs__get_i6_schema ()
#3 0x000dca87 in i6_schema_of_atom ()
#4 0x000dce2c in Calculus__Atoms__compile ()
#5 0x00113127 in Calculus__Deferrals__compile_test_of_proposition ()
#6 0x00113559 in Plugins__Actions__Patterns__compile_pattern_match_clause ()
#7 0x00113e2b in Plugins__Actions__Patterns__compile_pattern_match ()
#8 0x001151f8 in Code__Phrases__Context__compile_test_head ()
#9 0x001186b4 in Code__Routines__compile ()
#10 0x00118939 in Code__Phrases__compile ()
#11 0x00118b75 in Code__Rules__list_compile_rule_phrases ()
#12 0x00118d25 in Code__Rulebooks__compile_rule_phrases ()
#13 0x00118f0d in Code__Phrases__compile_first_block ()
#14 0x0012f724 in Config__Template__interpret ()
#15 0x0012a966 in Config__Template__interpret ()
#16 0x001314bc in main ()
- - - -
Minimal Source Text To Reproduce
There is a room.
Quuxing something is an activity.
For quuxing the storage: do nothing.
Additional InformationTaken from http://www.intfiction.org/forum/viewtopic.php?f=7&t=7361, [^] where ``the storage'' was also declared as a room.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0002082)
graham (administrator)
2013-06-02 12:24

Fixed, and a number of underlying and related problems also tidied up. It's now feasible to make a room or thing called "storage", for example.

- Issue History
Date Modified Username Field Change
2013-03-08 07:17 EmacsUser New Issue
2013-03-08 07:18 EmacsUser Status new => confirmed
2013-06-02 12:24 graham Note Added: 0002082
2013-06-02 12:24 graham Status confirmed => resolved
2013-06-02 12:24 graham Resolution open => fixed
2013-06-02 12:24 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker